--- title: "Associates an existing connection to an existing group" slug: "associates-an-existing-connection-to-an-existing-group" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/associates-an-existing-connection-to-an-existing-group" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Associates an existing connection to an existing group Post/api/v1/devices/{deviceId}/connections/{cepId}/groups SecurityHTTPType bearer Path parametersdeviceIdintegerRequired The ID of a device cepIdintegerRequired The ID of the connection to which a new group will be associated Body parameters A list of Group object GUIDs to associate to a connection object groupObjectGUIDs Array of string string Responses200 OK Expand Allobject authorizationboolean data Array of object object cepIdstring groupObjectGUIDstring messagestring opStatusstring error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean